import org.jboss.soa.esb.message.*
import org.jboss.soa.esb.addressing.*
import org.jboss.internal.soa.esb.addressing.helpers.EPRHelper
import org.jboss.soa.esb.addressing.eprs.LogicalEPR
import java.io.*


println " Begin Shipping Service "

println "Original XML: " + message.body.get("entireOrderAsXML")
println "Customer: " + message.body.get("customer")
println "Order: " + message.body.get("orderHeader")

// the action order information is routed to the appropriate fullfillment service via the 
// CBR, this is to handle the eventual callback where we need the replyTo EPR

xmlEPR = EPRHelper.toXMLString(message.getHeader().getCall().getReplyTo())
def writer=new File("/tmp/shipmentNotice.xml").newPrintWriter()
writer.print(xmlEPR)
writer.close()

def esb = new groovy.xml.Namespace("http://schemas.jboss.com/ws/2007/01/jbossesb", 'jbossesb')
def wsa = new groovy.xml.Namespace("http://schemas.xmlsoap.org/ws/2004/08/addressing", 'wsa')
def parsedEPR = new XmlParser().parseText(xmlEPR);

def processID = parsedEPR[wsa.ReferenceProperties][esb.jbpmProcessInstId].text()
println "Address: " + parsedEPR[wsa.Address].text()
println "jbpmTokenId: " + parsedEPR[wsa.ReferenceProperties][esb.jbpmTokenId].text()
println "jbpmNodeId: " + parsedEPR[wsa.ReferenceProperties][esb.jbpmNodeId].text()
println "jbpmProcessInstId: " + parsedEPR[wsa.ReferenceProperties][esb.jbpmProcessInstId].text()
println "type: " + parsedEPR[wsa.ReferenceProperties][esb.type].text()

println "Process ID: " + processID.trim()
message.getBody().add("linkToProcessID",processID.trim());
println " --------------------------- "